import { Debe } from 'debe';
export declare type IUpdateState = (collection: string, local: string | void | undefined, remote?: string | void | undefined) => Promise<void> | void;
export declare class SyncState {
    constructor(db: Debe);
    private db;
    private state;
    local: (collection: string) => string | undefined;
    remote: (collection: string) => string | undefined;
    private promise;
    init: () => Promise<void>;
    update: IUpdateState;
}
