import { Debe } from 'debe';
import { Sync } from 'debe-sync';
import { SyncServer } from 'debe-sync-server';
export declare const schema: {
    name: string;
    index: string[];
    sync: string;
}[];
export declare let alphabet: string[];
export declare function generateItemsInto(db: Debe, count?: number, prefix?: string): Promise<void>;
export declare function spawnServer(port: number, syncTo?: number): Promise<SyncServer>;
export declare function spawnClient(port: number): Promise<Sync>;
export declare function generateClients(port: number, numberOfClients: number): Promise<Sync[]>;
export declare function isEqual(...args: Debe[]): Promise<boolean>;
export declare function awaitIsEqual(maxTries?: number, ...dbs: Debe[]): Promise<boolean>;
export declare function createSimpleSocket(port: number): import("../../socket").ISocket;
export declare function createSimpleServer(port: number): {
    server: import("../../socket-server").IAGServer;
    close: () => Promise<void>;
};
