import * as tslib_1 from "tslib";
import { spawnServer, generateClients, generateItemsInto, alphabet, awaitIsEqual } from '../test';
var basePort = 12000;
function getNextPort() {
    basePort = basePort + 1;
    return basePort;
}
function work() {
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        var port0, port1, count, server0, server1, clients0, clients1, _a, _b, _c;
        return tslib_1.__generator(this, function (_d) {
            switch (_d.label) {
                case 0:
                    port0 = getNextPort();
                    port1 = getNextPort();
                    count = 10;
                    return [4, spawnServer(port0)];
                case 1:
                    server0 = _d.sent();
                    return [4, spawnServer(port1, port0)];
                case 2:
                    server1 = _d.sent();
                    return [4, generateClients(port0, 1)];
                case 3:
                    clients0 = _d.sent();
                    _a = [];
                    if (_a) return [3, 5];
                    return [4, generateClients(port1, 1)];
                case 4:
                    _a = (_d.sent());
                    _d.label = 5;
                case 5:
                    clients1 = _a;
                    return [4, Promise.all(tslib_1.__spread([server0, server1], clients0, clients1).map(function (x, i) {
                            return generateItemsInto(x.db, count, alphabet[i] + ".");
                        }))];
                case 6:
                    _d.sent();
                    _b = expect;
                    return [4, awaitIsEqual.apply(void 0, tslib_1.__spread([20,
                            server0.db,
                            server1.db], clients0.map(function (x) { return x.db; }), clients1.map(function (x) { return x.db; })))];
                case 7:
                    _b.apply(void 0, [_d.sent()]).toBe(true);
                    return [4, Promise.all(tslib_1.__spread([server0, server1], clients0, clients1).map(function (x, i) {
                            return generateItemsInto(x.db, count, alphabet[i] + ".");
                        }))];
                case 8:
                    _d.sent();
                    _c = expect;
                    return [4, awaitIsEqual.apply(void 0, tslib_1.__spread([20,
                            server0.db,
                            server1.db], clients0.map(function (x) { return x.db; }), clients1.map(function (x) { return x.db; })))];
                case 9:
                    _c.apply(void 0, [_d.sent()]).toBe(true);
                    return [4, Promise.all(clients0.map(function (client) { return client.close(); }))];
                case 10:
                    _d.sent();
                    return [4, Promise.all(clients1.map(function (client) { return client.close(); }))];
                case 11:
                    _d.sent();
                    return [4, server0.close()];
                case 12:
                    _d.sent();
                    return [4, server1.close()];
                case 13:
                    _d.sent();
                    return [2];
            }
        });
    });
}
work();
//# sourceMappingURL=index.js.map